package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Data
@Entity
@Table(name = "sales_dps_dw")
public class SalesDpsDwTable extends BaseTable {

    private Long ticket;

    private Long login;

    private Float deposit;

    private Float withdrawal;

    private Float amount;

    private String comment;

    private Date closeTime;

    private String group;

    private Long groupType;

    private String platform;

    private Long agentId;

    private String ibNo;

    private Long salesId;

    private String salesNo;

    private Integer dwType;

    public static SalesDpsDwTable newInstance(){
        SalesDpsDwTable obj = new SalesDpsDwTable();
        obj.setAmount(0F);
        obj.setDeposit(0F);
        obj.setWithdrawal(0F);
        obj.setDwType(0);
        return obj;
    }


}
